StaxSource.PseudoReader (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.stax.StaxSource.PseudoReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.stax
Class StaxSource.PseudoReader

    java.lang.Object
      org.mule.module.xml.stax.StaxSource.PseudoReader

All Implemented Interfaces:
  XMLReader

Enclosing class:
  StaxSource

    public final class StaxSource.PseudoReader

extends Object
implements XMLReader

Constructor Summary
`StaxSource.PseudoReader()`

Method Summary
`ContentHandler` | `getContentHandler()`
`DTDHandler` | `getDTDHandler()`
`EntityResolver` | `getEntityResolver()`
`ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(String name)`
`Object` | `getProperty(String name)`
`void` | `parse()`
`void` | `parse(InputSource input)`
`void` | `parse(String systemId)`
`void` | `setContentHandler(ContentHandler handler)`
`void` | `setDTDHandler(DTDHandler handler)`
`void` | `setEntityResolver(EntityResolver resolver)`
`void` | `setErrorHandler(ErrorHandler handler)`
`void` | `setFeature(String name, boolean value)`
`void` | `setProperty(String name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaxSource.PseudoReader

    public StaxSource.PseudoReader()

Method Detail

### getFeature

    public boolean getFeature(String name)
                       throws SAXNotRecognizedException

  Specified by:
    `getFeature` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`

### setFeature

    public void setFeature(String name,
                           boolean value)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  Specified by:
    `setFeature` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### getProperty

    public Object getProperty(String name)
                       throws SAXNotRecognizedException

  Specified by:
    `getProperty` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws SAXNotRecognizedException

  Specified by:
    `setProperty` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  Specified by:
    `setEntityResolver` in interface `XMLReader`

### getEntityResolver

    public EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `XMLReader`

### setDTDHandler

    public void setDTDHandler(DTDHandler handler)

  Specified by:
    `setDTDHandler` in interface `XMLReader`

### getDTDHandler

    public DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `XMLReader`

### setContentHandler

    public void setContentHandler(ContentHandler handler)

  Specified by:
    `setContentHandler` in interface `XMLReader`

### getContentHandler

    public ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `XMLReader`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Specified by:
    `setErrorHandler` in interface `XMLReader`

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `XMLReader`

### parse

    public void parse(InputSource input)
               throws SAXException

  Specified by:
    `parse` in interface `XMLReader`
  Throws:
    `SAXException`

### parse

    public void parse(String systemId)
               throws SAXException

  Specified by:
    `parse` in interface `XMLReader`
  Throws:
    `SAXException`

### parse

    public void parse()
               throws SAXException

  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.